%{?nodejs_find_provides_and_requires}
Name:                nodejs-hoek
Version:             11.0.2
Release:             1
Summary:             General purpose Node.js utilities
License:             BSD
URL:                 https://github.com/spumko/hoek
Source0:             https://github.com/spumko/hoek/archive/refs/tags/v%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%description
This package contains some general purpose Node.js utilities, including
utilities for working with objects, timers, binary encoding/decoding, escaping
characters, errors, and loading files.

%prep
%autosetup -n hoek-%{version}
chmod 0644 README.md package.json

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/hoek
cp -pr lib package.json %{buildroot}%{nodejs_sitelib}/hoek
%nodejs_symlink_deps

%files
%{nodejs_sitelib}/hoek
%doc README.md 

%changelog
* Wed Nov 1 2023 liyanan <liyanan61@h-parners.com> - 11.0.2-1
- Update to 11.0.2

* Wed Jun 29 2022 houyingchao <houyingchao@h-partners.com> - 10.0.0-1
- Upgrade to version 10.0.0

* Thu Aug 20 2020 wangxiao <wangxiao65@huawei.com> - 0.9.1-1
- Package init
